Below is the code that I get when I record the macro to select a POLYLINE and then execute a "Fill" command.
Language="VBSCRIPT"
Sub CATMain()
Set partDocument1 = CATIA.ActiveDocument
Set part1 = partDocument1.Part
Set hybridShapeFactory1 = part1.HybridShapeFactory
Set hybridShapeFill1 =...
Hello,
I am pretty new to writing Macros. What I am looking to do is to have a macro that will scan through the geometrical set of an open Catpart and fill multiple polylines. I have a file with 20,000 polylines named POLYLINE #23, POLYLINE #24, etc. I would like the macro to create a...
I tested the macro today, i created a new cat product and then inserted a catpart. I saved the catpart under a different name and ran the macro, it worked perfectly. It does exactly what i was looking for except it doesn't only rename the selected catpart. Also, i brought in a new product to...
I used the macro that "Scans All CATProduct tree and rename PartNumber or ProductNumber with respect to filename". It works great!!! If you can get the instance macro to work, is there a way that you can combine the two macros so that i can assign an icon to the macro and only have to push one...
I tried to use both of these macros and they both give me an error saying as follows:
Description: Expected end of statement
Statement: Next i
Line: 21
Column: 5
Any ideas on what the problem might be?
I am thinking that we will bring the CatPart into the design and then run the macro. If we need any additional instances, we typically just use the fast multi instantiation button which will automatically add the .1 to the end of the instance name based on the amount of instances. If possible...
Hello,
This is my first thread on this site, so any help someone can give me would be greatly appreciated. I am looking for a macro that would automatically rename a CatParts Part Number and Instance Name to match the filename. However, I need to be able to run the macro when the CatPart...